// IMaterialImporter.aidl
package com.cheetah.photogrid.material;

// Authored by Charles Tsai.
// Please use bindService to get instance from material app like following snippet:
//
// Intent intent = new Intent();
// intent.setPackage("com.cheetah.photogrid.sticker.materialapp");
// intent.setAction(MaterialImportConstants.IMPORT_SERVICE_BIND_ACTION); // or you can use setClassName() instead of this line
// context.bindService(intent, new ServiceConnection() {
//     @Override
//     public void onServiceConnected(ComponentName name, IBinder service) {
//         if (service != null) {
//             IMaterialImporter importer = IMaterialImporter.Stub.asInterface(service);
//             (then do something you would like via the instance)_
//         }
//     }
//     @Override
//     public void onServiceDisconnected(ComponentName name) {}
// }, BIND_AUTO_CREATE);
//
interface IMaterialImporter {
    int getSupportedType();
    int getSupportedMinVersion();
    int importMaterial(in int type);
    List<String> getMaterialFolder(in int type);
    List<String> getLogoFilePath(in int type);
}